﻿--constants
BRMacro_Icon = 351;
BRMacro_Header = "/cleartarget";
BRMacro_Target = "/target %s";
BRMacro_Footer = strjoin(' ', format("/stopmacro [noexists]\n/tell %s", UnitName("player")), "> %t <\n/script PlaySound(\"RaidWarning\")");
BRMacro_Footer_Empty = strjoin(' ', '/script print("', BRMacro_Empty, '")');

--variables
local lastZone = "";

function BloodyRare_OnLoad()
	SLASH_BLOODYRARE1 = "/bloodyrare";
	SLASH_BLOODYRARE2 = "/bloody"; -- A shortcut or alias
	SlashCmdList["BLOODYRARE"] = BloodyRare_OnSlash;
	
	BloodyRare_Active = false;
end

function BloodyRare_OnEvent(event)
	if BloodyRare_Active and not InCombatLockdown() then
		BloodyRare_UpdateMacro();
	end
end

function BloodyRare_UpdateMacro()
	--zone info
	local zoneText = GetRealZoneText();
	local zoneChanged = not (zoneText == lastZone);
	if zoneChanged then
		lastZone = zoneText;
	end
	
	if zoneChanged then
		--the macro
		local macroi = GetMacroIndexByName(BRMacro_Name);
		if not (macroi > 0) then
			CreateMacro(BRMacro_Name, BRMacro_Icon, BRMacro_Empty);
			macroi = GetMacroIndexByName(BRMacro_Name);
			print(BRNew_Info);
		end

		--iterate creatures
		local zoneMobs = BloodyRare_ZoneRareTable[zoneText];
		local infoString = format(BRZone_Info, zoneText);
		if not ( zoneMobs == nil ) then
			local mbody = BRMacro_Header;
			for index,mob in pairs(zoneMobs) do
				mbody = strjoin("\n", mbody, format(BRMacro_Target, mob) );
				if (index > 1) then
					infoString = strjoin(", ", infoString, mob);
				else
					infoString = strjoin(" ", infoString, mob);
				end
			end
			mbody = strjoin("\n", mbody, BRMacro_Footer);
			EditMacro(macroi, BRMacro_Name, BRMacro_Icon, mbody);
		else
			EditMacro(macroi, BRMacro_Name, BRMacro_Icon, BRMacro_Footer_Empty); -- Modified by Boukhis / SURAMAR
		end
		
		print(infoString);
	end
end

function BloodyRare_OnSlash(cmd)
	if (cmd == 'on') then
		BloodyRare_Active = true;
		print(BRSlash_Action_On);
		BloodyRare_UpdateMacro();
	elseif (cmd == 'off') then
		BloodyRare_Active = false;
		print(BRSlash_Action_Off);
	elseif BloodyRare_Active then
		print(BRSlash_Info_On);
	else
		print(BRSlash_Info_Off);
	end
end
