﻿BRMacro_Name = "BloodyRare-TargetMacro";

--strings that should be localized:
BRSlash_Info_On = "BloodyRare is currently running. To turn off type '/bloody off'.";
BRSlash_Info_Off = "BloodyRare is currently stopped. To start this addon type '/bloody on'.";
BRSlash_Action_On = "BloodyRare now active.";
BRSlash_Action_Off = "BloodyRare stopped.";
BRZone_Info = "Zone: %s. Looking for:";
BRMacro_Empty = "-There are currently no rares beeing watched for.\\n-If you enter a zone where rares are present, this macro will automatically be updated.";
BRNew_Info = format("You called BloodyRare for the first time. A macro named %q has been created. Use this macro as your target macro, it will be updated according to your current zone.", BRMacro_Name);

BloodyRare_ZoneRareTable = {
	--OUTLAND
	["Hellfire Peninsula"] = {"Fulgorge", "Mekthorg the Wild", "Vorakem Doomspeaker"},
	["Zangarmarsh"] = {"Bog Lurker", "Coilfang Emissary", "Marticar"},
	["Blade's Edge Mountains"] = {"Hemathion", "Morcrush", "Speaker Mar'grom"},
	["Netherstorm"] = {"Nuramoc", "Chief Engineer Lorthander", "Ever-Core the Punisher"},
	["Terokkar Forest"] = {"Crippler", "Doomsayer Jurim", "Okrek"},
	["Nagrand"] = {"Goretooth", "Voidhunter Yar"},
	["Shadowmoon Valley"] = {"Ambassador Jerrikar", "Collidus the Warp-Watcher", "Kraator"},
	--NORTHREND
	["Borean Tundra"] = {"Old Crystalbark", "Fumblub Gearwind", "Icehorn"},
	["Howling Fjord"] = {"Perobas the Bloodthirster", "Vigdis the War Maiden", "King Ping"},
	["Dragonblight"] = {"Tukemuth", "Crazed Indu'le Survivor", "Scarlet Highlord Daion"},
	["Grizzly Hills"] = {"Grocklar", "Seething Hate", "Syreian the Bonecarver"},
	["Zul'Drak"] = {"Zul'Drak Sentinel", "Griegen", "Terror Spinner", "Gondria"},
	["Sholazar Basin"] = {"Loque'nahak", "Aotona", "King Krush"},
	["The Storm Peaks"] = {"Vyragosa", "Dirkee", "Time-Lost Proto Drake", "Skoll"},
	["Icecrown"] = {"Putridus the Ancient", "High Thane Jorfus", "Hildana Deathstealer"},
	--SPECIAL
	["Stormwind City"] = {"Lil Timmy"},
	["Silverpine Forest"] = {"Dalaran Spellscribe"},
}

if GetLocale() == "deDE" then
	BRSlash_Info_On = "BloodyRare läuft. Um es abzuschalten gib '/bloody off' ein.";
	BRSlash_Info_Off = "BloodyRare läuft nicht. Um das Addon zu starten gib '/bloody on' ein.";
	BRSlash_Action_On = "BloodyRare wurde aktiviert.";
	BRSlash_Action_Off = "BloodyRare wurde angehalten.";
	BRZone_Info = "Zone: %s. Suche nach:";
	BRMacro_Empty = "-Es wird gerade nach keinen seltenen Monstern Ausschau gehalten.\\n-Wenn du ein Gebiet betrittst, in dem es diese gibt, wird dieses Makro automatisch aktualisiert.";
	BRNew_Info = format("Du hast BloodyRare das erste Mal gestartet. Ein Makro mit Namen %q wurde erstellt. Benutze dieses als dein Target-Makro, es wird sich der aktuellen Zone automatisch anpassen.", BRMacro_Name);
	
	BloodyRare_ZoneRareTable = {
		--OUTLAND
		["Höllenfeuerhalbinsel"] = {"Gierschlund", "Mekthorg der Wilde", "Vorakem Unheilsbote"},
		["Zangarmarschen"] = {"Sumpflauerer", "Abgesandter des Echsenkessels", "Marticar"},
		["Schergrat"] = {"Hemathion", "Mordruck", "Sprecher Mar'grom"},
		["Nethersturm"] = {"Nuramoc", "Chefingenieur Lorthander", "Steinherz der Bestrafer"},
		["Wälder von Terokkar"] = {"Verkrüppler", "Verdammnisverkünder Jurim", "Okrek"},
		["Nagrand"] = {"Grimmzahn", "Leerjäger Yar"},
		["Schattenmondtal"] = {"Botschafter Jerrikar", "Collidus der Sphärenwächter", "Kraator"},
		--NORTHREND
		["Boreanische Tundra"] = {"Alte Kristallborke", "Fumblub Gangwindung", "Eishorn"},
		["Der heulende Fjord"] = {"Perobas der Blutdürster", "Vigdis die Kriegsmaid", "King Ping"},
		["Drachenöde"] = {"Tukemuth", "Verrückter Überlebender von Indu'le", "Scharlachroter Hochlord Daion"},
		["Grizzlyhügel"] = {"Grocklar", "Wutentbrannter Hass", "Syreian der Knochenschnitzer"},
		["Zul'Drak"] = {"Schildwache von Zul'Drak", "Griegen", "Terrorspinner", "Gondria"},
		["Sholazarbecken"] = {"Loque'nahak", "Aotona", "König Knirsch"},
		["Die Sturmgipfel"] = {"Vyragosa", "Dirkee", "Zeitverlorener Protodrache", "Skoll"},
		["Eiskrone"] = {"Putridus der Uralte", "Hochthan Jorfus", "Hildana Todesstehler"},
		--SPECIAL
		["Sturmwind"] = {"Klein Timmy"},
		["Silberwald"] = {"Zauberschreiber von Dalaran"},
		["Düstermarschen"] = {"Pfeil"},
		["Brachland"] = {"Takk der Springer"},
		["Krater von Un'Goro"] = {"Ravasaurusmatriarchin"},
		["Sumpfland"] = {"Scharfzahnmatriarchin"},
	}
end

-- French localization by Boukhis/SURAMAR, Drakma
if GetLocale() == "frFR" then
	BRSlash_Info_On = "BloodyRare est en cours de fonctionnement. Pour l'arreter, tapez  '/bloody off'.";
	BRSlash_Info_Off = "BloodyRare est arrete. Pour le mettre en route tapez '/bloody on'.";
	BRSlash_Action_On = "BloodyRare fonctionne.";
	BRSlash_Action_Off = "BloodyRare est arrete.";
	BRZone_Info = "Zone: %s. A la recherche de :";
	BRMacro_Empty = "Il n'y a pas actuellement d'elite rare  a chercher dans cette zone.\\n";
	BRNew_Info = format("Vous avez appele BloodyRare pour la premiere fois. Une macro nommee %q a ete cree. Utilisez cette macro maintenant au lieu de BloodyRare.", BRMacro_Name);
   
	BloodyRare_ZoneRareTable = {
		--OUTRE TERRE--
		["Péninsule des Flammes infernales"] = {"Goinfreplein", "Vorakem Parleruine", "Mekthorg le Sauvage"},
		["Marécage de Zangar"] = {"Rôdeur des tourbières", "Marticar", "Emissaire de Glisseroc"},
		["Les Tranchantes"] = {"Hemathion", "Morcrase", "Porte-parole Mar'grom"},
		["Raz-de-Néant"] = {"Ingénieur en chef Lorthander", "Nuramoc", "Permacoeur le Punisseur"},
		["Forêt de Terokkar"] = {"Auspice Funeste Jurim", "Estropieur", "Okrek"},
		["Nagrand"] = {"Bro'Gaz Sans-clan", "Chasseur du Vide Yar", "Sangredent"},
		["Vallée d'Ombrelune"] = {"Ambassadeur Jerrikar", "Collidus le Guetteur-dimensionnel", "Kraator"},
		--NORFENDRE--
		["Toundra Boréenne"] = {"Vieil Écorce-de-cristal", "Larmagauche Venbraye", "Corneglace"},
		["Bassin de Sholazar"] = {"Loque'nahak", "Aotona", "Roi Krush"},
		["La Couronne de glace"] = {"Putridus l'Antique", "Grand thane Jorfus", "Hildana Voleuse-de-mort"},
		["Fjord Hurlant"] = {"Perobas le Carnassier", "Vigdis la Vierge de guerre", "Roi Ping"},
		["Désolation des dragons"] = {"Tukemuth", "Survivant d'Indu'le affolé", "Généralissime écarlate Daion"},
		["Les Grisonnes"] = {"Grocklar", "Haine vengeresse", "Syreian la Sculpteuse d'os"},
		["Zul'Drak"] = {"Sentinelle de Zul'Drak", "Griegen", "Tisseuse de terreur", "Gondria"},
		["Les pics Foudroyés"] = {"Vyragosa", "Dirkee", "Proto-drake perdu dans le temps", "Skoll"},
		--SPECIAL
		["Cité de Hurlevent"] = {"Jeune Timmy"},
		["Forêt des Pins Argentés"] = {"Copiste de Dalaran"},
		["Marécage d'Âprefange"] = {"Flèche"},
		["Les Tarides"] = {"Takk le Bondisseur"},
		["Cratère d'Un'Goro"] = {"Matriarche ravasaure"},
		["Les Paluns"] = {"Matriarche tranchegueules"},
	}
end

-- Russian localization by happyjr, irtimd777
if GetLocale() == "ruRU" then
	BRSlash_Info_On = "BloodyRare запущен. Чтобы выключить напечатайте '/bloody off'.";
	BRSlash_Info_Off = "BloodyRare остановлен. Чтобы включить напечатайте '/bloody on'.";
	BRSlash_Action_On = "BloodyRare сейчас активен.";
	BRSlash_Action_Off = "BloodyRare остановлен.";
	BRZone_Info = "Зона: %s. Ищем:";
	BRMacro_Empty = "-В текущий момент нет рарников для слежения.\n-Если вы попадете в зону где Рарники есть, этот макрос автоматически обновиться.";
	BRNew_Info = format("Вы запустили BloodyRare в первый раз. Макрос с название %q был создан. Используйте этот макрос как макрос цели , он автоматически обновиться с вашей текущей зоной.", BRMacro_Name);

	BloodyRare_ZoneRareTable = {
		--OUTLAND
		["Полуостров Адского Пламени"] = {"Обжорень", "Мекторг Дикий", "Воракем Глашатай Судьбы"},
		["Зангартопь"] = {"Болотный скрытень", "Эмиссар резервуара Кривого Клыка", "Мартикар"},
		["Острогорье"] = {"Гематион", "Моркруш", "Проповедник Маргром"},
		["Пустоверть"] = {"Нурамок", "Главный инженер Лортандер", "Недремлющий Каратель"},
		["Лес Тероккар"] = {"Расчленитель", "Вестник рока Джурим", "Окрек"},
		["Награнд"] = {"Жуткозуб", "Охотник Бездны Яр"},
		["Долина Призрачной Луны"] = {"Посол Жеррикар", "Страж портала Коллидус", "Краатор"},
		--NORTHREND
		["Борейская Тундра"] = {"Старый кристальный древень", "Фумблуб Ветрозуб", "Ледорог"},
		["Ревущий Фьорд"] = {"Перобас Кровожадный", "Вигдис Воительница", "Король Пинг"},
		["Драконий Погост"] = {"Тюкмут", "Выживший сумасшедший из деревни Инду'ле", "Верховный лорд Алого Натиска Дайон"},
		["Седые холмы"] = {"Гроклар", "Пылающая ненависть", "Сирейна Костерез"},
		["Зул'Драк"] = {"Часовой Зул'драка", "Григен", "Ткач ужаса", "Гондрия"},
		["Низина Шолозар"] = {"Локе'нахак", "Аотона", "Король Круш"},
		["Грозовая Гряда"] = {"Вирагоса", "Дирки", "Затерянный во времени протодракон"},
		["Ледяная корона"] = {"Гниллий Древний", "Верховный тан Йорфус", "Хильдана Похитительница Смерти"},
		--SPECIAL
		["Штормград"] = {"Малыш Тимми"},
		["Серебряный бор"] = {"Даларанский чарокнижник"},
	}
end 

-- Chinese Traditional (Taiwan) by adolyes
if GetLocale() == "zhTW" then
	BRSlash_Info_On = "BloodyRare 運作中. 想關閉請輸入 '/bloody off'.";
	BRSlash_Info_Off = "BloodyRare 停止中. 想啟動請輸入 '/bloody on'.";
	BRSlash_Action_On = "BloodyRare 運作中.";
	BRSlash_Action_Off = "BloodyRare 停止中.";
	BRZone_Info = "區域: %s. 搜尋目標:";
	BRMacro_Empty = "-這個區域沒有稀有精英.\\n-如果你進入一個有稀有精英的區域，巨集將會自動更新";
	BRNew_Info = format("這是您第一次使用 BloodyRare。一個名為 %q 的巨集已經建立完畢，這巨集會在進入有稀有精英存在的區域時自動調整內容。請使用這個巨集來搜尋稀有精英。", BRMacro_Name);

	BloodyRare_ZoneRareTable = {
		--OUTLAND
		["地獄火半島"] = {"飽食者", "狂野的米克索格", "弗拉肯·厄語者"},
		["贊格沼澤"] = {"泥沼潛伏者", "盤牙特使", "瑪堤卡"},
		["劍刃山脈"] = {"赫瑪西恩", "崩碎者", "首長瑪庫隆"},
		["虛空風暴"] = {"努拉莫克", "首席工程師羅桑德", "恆核懲戒者"},
		["泰洛卡森林"] = {"殘廢者", "末日預言者裘瑞姆", "歐克瑞克"},
		["納葛蘭"] = {"鋒牙", "虛無獵人亞爾"},
		["影月谷"] = {"傑瑞卡大使", "『扭曲監視者』克里達斯", "克拉特"},
		--NORTHREND
		["北風凍原"] = {"老晶樹", "方寶·機風", "冰角"},
		["凜風峽灣"] = {"『嗜血者』佩洛巴斯", "『戰爭侍女』葳格迪斯", "乒乒王"},
		["龍骨荒野"] = {"土克瑪斯", "瘋狂的因度雷生還者", "血色大領主黛伊昂"},
		["灰白之丘"] = {"葛洛克拉", "沸騰憎恨", "『雕骨者』塞瑞安"},
		["祖爾德拉克"] = {"祖爾德拉克哨兵", "格里根", "恐懼紡織者", "剛卓亞"},
		["休拉薩盆地"] = {"羅奎納哈克", "奧托納", "克洛許王"},
		["風暴群山"] = {"維拉苟莎", "德碁", "時光流逝元龍", "史科爾"},
		["寒冰皇冠"] = {"古老的普崔達斯", "大族長裘弗斯", "希爾達娜·亡據者"},
		--SPECIAL
		["暴風城"] = {"利爾·迪米"},
		["銀松森林"] = {"達拉然書記員"},
		["塵泥沼澤"] = {"達爾特"},
		["貧瘠之地"] = {"『跳躍者』塔克"},
		["安戈洛環形山"] = {"暴掠龍族母"},
		["濕地"] = {"刺喉龍族母"},
	}
end

